Skip to main content
`Ctrl`+`K`

# TaoComputeConstraints

Compute the variable bounds using the routine set by `TaoSetConstraintsRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeConstraints(Tao tao, Vec X, Vec C)

Collective

## Input Parameters

- tao - the `Tao` context

- X - location to evaluate the constraints

## Output Parameter

- C - the constraints

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetConstraintsRoutine()`, `TaoComputeJacobian()`

## Level

developer

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages